Skip to content

Refresh an expiring attachment capability through its actor-bound renewal token.

POST
/api/workspace/markdown/scope/refresh
curl --request POST \
--url https://example.com/api/workspace/markdown/scope/refresh \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{ "ScopeToken": "example", "RenewalToken": "example" }'
access_token
string

Optional access token for clients that cannot set Authorization headers. Prefer Authorization: Bearer <token> when possible.

Refreshes an expired or expiring Markdown attachment scope.

object
ScopeToken
string
nullable
RenewalToken
string
nullable
Examplegenerated
{
"ScopeToken": "example",
"RenewalToken": "example"
}

OK

Media typeapplication/json
object
Data

Server-derived, signed Markdown attachment capability for one field and destination.

object
ScopeToken
string
nullable
RenewalToken
string
nullable
CanReadInline
boolean
CanAttach
boolean
CanSelectCatalog
boolean
MaximumItems
integer format: int32
MaximumAggregateBytes
integer format: int64
ScopeExpiresAt
string format: date-time
RenewalExpiresAt
string format: date-time
Errors
Array<object>
nullable
object
Code
required
string
nullable
Message
required
string
nullable
Target
string
nullable
Field
string
nullable
Metadata
object
key
additional properties
string
nullable
Type
integer format: int32
Allowed values: 0 1 2
Severity
integer format: int32
Allowed values: 0 1 2
Warnings
Array<object>
nullable
object
Code
required
string
nullable
Message
required
string
nullable
Target
string
nullable
Field
string
nullable
Metadata
object
key
additional properties
string
nullable
Type
integer format: int32
Allowed values: 0 1 2
Severity
integer format: int32
Allowed values: 0 1 2
Success
boolean
Example
{
"Errors": [
{
"Type": 0,
"Severity": 0
}
],
"Warnings": [
{
"Type": 0,
"Severity": 0
}
]
}

Forbidden

Media typeapplication/json
object
type
string
nullable
title
string
nullable
status
integer format: int32
nullable
detail
string
nullable
instance
string
nullable
key
additional properties
Examplegenerated
{
"type": "example",
"title": "example",
"status": 1,
"detail": "example",
"instance": "example"
}

Not Found

Media typeapplication/json
object
Data

Server-derived, signed Markdown attachment capability for one field and destination.

object
ScopeToken
string
nullable
RenewalToken
string
nullable
CanReadInline
boolean
CanAttach
boolean
CanSelectCatalog
boolean
MaximumItems
integer format: int32
MaximumAggregateBytes
integer format: int64
ScopeExpiresAt
string format: date-time
RenewalExpiresAt
string format: date-time
Errors
Array<object>
nullable
object
Code
required
string
nullable
Message
required
string
nullable
Target
string
nullable
Field
string
nullable
Metadata
object
key
additional properties
string
nullable
Type
integer format: int32
Allowed values: 0 1 2
Severity
integer format: int32
Allowed values: 0 1 2
Warnings
Array<object>
nullable
object
Code
required
string
nullable
Message
required
string
nullable
Target
string
nullable
Field
string
nullable
Metadata
object
key
additional properties
string
nullable
Type
integer format: int32
Allowed values: 0 1 2
Severity
integer format: int32
Allowed values: 0 1 2
Success
boolean
Example
{
"Errors": [
{
"Type": 0,
"Severity": 0
}
],
"Warnings": [
{
"Type": 0,
"Severity": 0
}
]
}